Host Boot Device System Update Boot Device
Sets the current boot device for the host system.
Sets the current boot device for the host system.
Required privileges: Host.Config.Maintenance
Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostBootDeviceSystem/{moId}/UpdateBootDevice
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostBootDeviceSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Request Body
UpdateBootDeviceRequestType
of type(s)
application/json
Required
{
"key": "string"
}
string
key
Required
The HostBootDevice.key of the HostBootDevice from which the host will boot.
Responses
204
No Content
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"key":"string"}' https://{api_host}/sdk/vim25/{release}/HostBootDeviceSystem/{moId}/UpdateBootDevice
On This Page
Virtual Infrastructure Operations
POST
Host Boot Device System Query Boot Devices
POST
Host Boot Device System Update Boot Device